Bug 735555 - [abrt] kernel: BUG: Bad page map in process fgrep pte:6900770022007b pmd:80000000144000e7
Summary: [abrt] kernel: BUG: Bad page map in process fgrep pte:6900770022007b pmd:800...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:83728c05b4e2c09d50791fa2a30...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-03 14:36 UTC by Dimitri Papadopoulos
Modified: 2012-04-11 19:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-11 14:17:42 UTC


Attachments (Terms of Use)

Description Dimitri Papadopoulos 2011-09-03 14:36:01 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=/dev/mapper/vg_is207617-lv_root rd_LVM_LV=vg_is207617/lv_root rd_LVM_LV=vg_is207617/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=fr_FR.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=fr-latin9 rhgb quiet
component:      kernel
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         BUG: Bad page map in process fgrep  pte:6900770022007b pmd:80000000144000e7
time:           Sat Sep  3 16:27:51 2011

backtrace:
:BUG: Bad page map in process fgrep  pte:6900770022007b pmd:80000000144000e7
:addr:00007f1601201000 vm_flags:00100073 anon_vma:ffff8800a67d8900 mapping:          (null) index:7f1601201
:Pid: 11702, comm: fgrep Tainted: G    B       2.6.40.3-0.fc15.x86_64 #1
:Call Trace:
: [<ffffffff810f69d4>] print_bad_pte+0x1a3/0x1bc
: [<ffffffff810f777e>] vm_normal_page+0x68/0x85
: [<ffffffff81170844>] gather_pte_stats+0x72/0xd2
: [<ffffffff811059d3>] walk_page_range+0x341/0x48a
: [<ffffffff81170530>] show_numa_map+0x16b/0x30e
: [<ffffffff811707d2>] ? smaps_pte_entry+0xff/0xff
: [<ffffffSep  3 16:27:50 is207617 kernel: imklog 5.8.2, log source = /proc/kmsg started.

comment:
:Just ran this command as a normal user:
:fgrep foo /proc/*

Comment 1 John William 2011-10-10 05:35:46 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Unknown - happened while updating packages after system had not been used for ~30 days.

Comment 2 Dave Jones 2012-02-21 23:56:20 UTC
[updating multiple bugs at once]

There are a bunch of these 'bad page map' bugs now, and the only thing in common is that they're all on kernels before 3.2 (or 2.6.42 for f15), so I'm optimistic this is fixed in the newest update.

Can you try and reproduce it with the latest update ?

If I don't see any reports from 3.2 in the next week, I'll close these out.

Comment 3 Dimitri Papadopoulos 2012-04-11 19:25:20 UTC
I'm running Fedora 16 with latest updates (kernel-3.3.1-3.fc16.x86_64). Command "fgrep foo /proc/*" runs without problem. Also I haven't seen crashes lately.


Note You need to log in before you can comment on or make changes to this bug.